## kmediafactory 0.7.2

=== CMakeLists.txt ===
project(kmediafactory)

macro(IS_KDE_VERSION version)
  #message("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}")
  math(EXPR V1 "(((${KDE_VERSION_MAJOR}) << 16) | ((${KDE_VERSION_MINOR}) << 8) | (${KDE_VERSION_RELEASE}))")
  math(EXPR V2 "(((${ARGV1}) << 16) | ((${ARGV2}) << 8) | (${ARGV3}))")
  if (${V1} GREATER ${V2} OR ${V2} EQUAL ${V1})
    set(${version} TRUE)
  else (${V1} GREATER ${V2} OR ${V2} EQUAL ${V1})
    set(${version} FALSE)
  endif (${V1} GREATER ${V2} OR ${V2} EQUAL ${V1})
endmacro(IS_KDE_VERSION)

set(KMF_MAJOR_VERSION "0")
set(KMF_MINOR_VERSION "7")
set(KMF_BUILD_VERSION "2")
set(VERSION "${KMF_MAJOR_VERSION}.${KMF_MINOR_VERSION}.${KMF_BUILD_VERSION}")
set(GENERIC_KMF_LIB_VERSION ${VERSION})
set(GENERIC_KMF_LIB_SOVERSION ${KMF_MAJOR_VERSION})

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)

check_function_exists(va_copy VA_COPY)

# Required packages
find_package(Fontconfig REQUIRED)
macro_log_feature(FONTCONFIG_FOUND "fontconfig" "Get font information" "http://www.fontconfig.org/" TRUE "" "")

find_package(Phonon REQUIRED)
macro_log_feature(PHONON_FOUND "phonon" "Video playing" "http://phonon.kde.org/" TRUE "" "")

find_package(MSGFMT REQUIRED)
macro_log_feature(MSGFMT_FOUND "gettext" "For translations" "http://www.gnu.org/software/gettext/" TRUE "" "")
find_program(MSGFMT_EXECUTABLE msgfmt)
find_program(MSGMERGE_EXECUTABLE msgmerge)
find_program(XGETTEXT_EXECUTABLE xgettext)

find_program(ZIP_EXECUTABLE zip)
macro_log_feature(ZIP_EXECUTABLE "zip" "For packing templates" "http://www.info-zip.org/" TRUE "" "")

find_program(DVDAUTHOR_EXECUTABLE dvdauthor)
macro_log_feature(DVDAUTHOR_EXECUTABLE "dvdauthor" "For making DVDs" "http://dvdauthor.sourceforge.net/" TRUE "0.6.11" "")

find_program(FFMPEG_EXECUTABLE ffmpeg)
macro_log_feature(FFMPEG_EXECUTABLE "ffmpeg" "For extracting frames from videos" "http://ffmpeg.mplayerhq.hu/" TRUE "" "")

find_program(MPEG2ENC_EXECUTABLE mpeg2enc)
macro_log_feature(MPEG2ENC_EXECUTABLE "mpeg2enc" "For making mpeg files" "http://mjpeg.sourceforge.net/" TRUE "" "")

find_program(MPLAYER_EXECUTABLE mpeg2enc)
macro_log_feature(MPLAYER_EXECUTABLE "mplayer" "For getting info from video file" "http://www.mplayerhq.hu/" TRUE "" "")

# Optional packages
find_package(LibDvdread)
macro_log_feature(LIBDVDREAD_FOUND "libdvdread" "For reading dvd info" "http://www.dtek.chalmers.se/groups/dvd/downloads.shtml" FALSE "" "")
macro_bool_to_01(LIBDVDREAD_FOUND HAVE_LIBDVDREAD)

find_program(DVDSLIDESHOW_EXECUTABLE dvd-slideshow)
macro_log_feature(DVDSLIDESHOW_EXECUTABLE "dvd-slideshow" "For making slideshows" "http://dvd-slideshow.sourceforge.net/wiki/Main_Page" FALSE "" "")

find_program(K3B_EXECUTABLE k3b)
macro_log_feature(K3B_EXECUTABLE "k3b" "For burning DVDs" "http://www.k3b.org/" FALSE "" "")

find_program(XINE_EXECUTABLE xine)
macro_log_feature(XINE_EXECUTABLE "xine" "For DVD preview" "http://xinehq.de/" FALSE "" "")

find_program(KAFFEINE_EXECUTABLE kaffeine)
macro_log_feature(KAFFEINE_EXECUTABLE "kaffeine" "For DVD preview" "http://kaffeine.kde.org/" FALSE "" "")

find_program(OO_EXECUTABLE soffice)
macro_log_feature(OO_EXECUTABLE "openoffice.org" "For converting OpenOffice docs to slideshow" "http://www.openoffice.org/" FALSE "" "also needs ghostscript")

find_program(GS_EXECUTABLE gs)
macro_log_feature(GS_EXECUTABLE "ghostscript" "For converting pdf to slideshow" "http://pages.cs.wisc.edu/~ghost/" FALSE "" "")

# Are we using this?
find_program(EXTRACTRC_EXECUTABLE extractrc)

add_definitions(
    ${QT_DEFINITIONS}
    ${QT_QTDBUS_DEFINITIONS}
    ${KDE4_DEFINITIONS}
    -DHAVE_CONFIG_H=1
)

include_directories(
    ${QDBUS_INCLUDE_DIRS}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${KDE4_INCLUDES}
)

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

if(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    add_custom_command(
    OUTPUT  ${CMAKE_CURRENT_BINARY_DIR}/svnrev.h
    DEPENDS ${CMAKE_SOURCE_DIR}/.svn/entries
    COMMAND ${CMAKE_COMMAND}
        -DPROJECT_SOURCE_DIR="${PROJECT_SOURCE_DIR}"
        -DCMAKE_BINARY_DIR="${CMAKE_BINARY_DIR}"
        -P ${PROJECT_SOURCE_DIR}/svnrev.cmake
    )
    add_custom_target(svnrev ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/svnrev.h)
else(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    FILE(WRITE ${CMAKE_BINARY_DIR}/svnrev.h
"/* svnrev.h.  Generated by cmake */
\#define SVNREV \"\"
")
endif(EXISTS ${PROJECT_SOURCE_DIR}/.svn)

add_subdirectory(lib)
add_subdirectory(kstore)
add_subdirectory(kmediafactory)
add_subdirectory(src)
add_subdirectory(plugins)
add_subdirectory(mimetypes)
add_subdirectory(icons)
add_subdirectory(scripts)
add_subdirectory(media)
add_subdirectory(po)
add_subdirectory(doc)

macro_display_feature_log()

# CPack
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "KMediaFactory is easy to use template based dvd authoring tool.")
set(CPACK_PACKAGE_VENDOR "KMediaFactory Team")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_PACKAGE_INSTALL_DIRECTORY "KMediaFactory ${VERSION}")
set(CPACK_PACKAGE_EXECUTABLES "kmediafactory")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "kmediafactory-${VERSION}")
SET(CPACK_GENERATOR "TBZ2")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_SOURCE_IGNORE_FILES
  ".svn/"
  "build/"
  "debug/"
  "templates/"
  "distros/"
  "package/"
  "commit.sh"
  "links.sh"
  "snapshot.sh"
  "kmediafactory.kdevelop"
  "kmediafactory.kdevelop.pcs"
  "kmediafactory.kdevses"
  "snapshot.changelog"
  ".*.tar.bz2"
  "~$"
  "build.make"
  "cmake_clean.cmake"
  "DependInfo.cmake"
  "progress.make"
)
include(CPack)

=== kstore/CMakeLists.txt ===
include_directories( ${KOSTORE_INCLUDES} )

if( QCA2_FOUND )
include_directories( ${QCA2_INCLUDE_DIR} )
add_definitions( -DQCA2 )
endif( QCA2_FOUND )

########### next target ###############

set(kstore_LIB_SRCS 
   KoStore.cpp 
   KoTarStore.cpp 
   KoDirectoryStore.cpp 
   KoZipStore.cpp 
   KoStoreBase.cpp 
   KoXmlReader.cpp
   KoXmlWriter.cpp
   KoEncryptedStore.cpp
   )

kde4_add_library(kmediafactorykstore SHARED ${kstore_LIB_SRCS})

target_link_libraries(kmediafactorykstore ${KDE4_KIO_LIBS})

if( QCA2_FOUND )
target_link_libraries(kmediafactorykstore ${QCA2_LIBRARIES})
endif( QCA2_FOUND )

set_target_properties(kmediafactorykstore PROPERTIES VERSION ${GENERIC_KMF_LIB_VERSION} SOVERSION ${GENERIC_KMF_LIB_SOVERSION})
install(TARGETS kmediafactorykstore  DESTINATION ${LIB_INSTALL_DIR})

=== mimetypes/CMakeLists.txt ===
find_package(SharedMimeInfo REQUIRED)

########### install files ###############
install(FILES kmediafactory.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

=== po/CMakeLists.txt ===
add_subdirectory(cs)
add_subdirectory(de)
add_subdirectory(fi)
add_subdirectory(pl)
add_subdirectory(pt_BR)
add_subdirectory(ru)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/lib ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BUILD_DIR})

set(kmediafactory_SRCS
	sizewidget.cpp
	kmfplugininterface.cpp
	main.cpp
	tools.cpp
	kmfoptions.cpp
	kmfapplication.cpp
	mediapage.cpp
	templatepage.cpp
	outputpage.cpp
	kmediafactory.cpp
	kmfproject.cpp
	projectoptions.cpp
	logview.cpp
	kmfprogressitemdelegate.cpp
	kmfdbusinterface.cpp
	toolproperties.cpp
)

kde4_add_ui_files(kmediafactory_SRCS
	sizewidget.ui
	tools.ui
	kmfoptions.ui
	mediapage.ui
	templatepage.ui
	outputpage.ui
	projectoptions.ui
	logview.ui
	toolproperties.ui
)

qt4_add_dbus_adaptor(kmediafactory_SRCS org.kde.kmediafactory.KMediaFactory.xml kmfdbusinterface.h KMFDbusInterface)
kde4_add_kcfg_files(kmediafactory_SRCS kmediafactorysettings.kcfgc)
kde4_add_executable(kmediafactory ${kmediafactory_SRCS})
target_link_libraries(kmediafactory kmf kmediafactoryinterfaces ${KDE4_KNEWSTUFF2_LIBS} ${QT_QTWEBKIT_LIBRARY})

install(TARGETS kmediafactory DESTINATION ${BIN_INSTALL_DIR})
install(FILES kmediafactoryui.rc DESTINATION ${DATA_INSTALL_DIR}/kmediafactory)
install(FILES kmediafactory.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kmediafactory.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES kmediafactory.desktop  DESTINATION ${XDG_APPS_INSTALL_DIR})

=== plugins/kross/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_BINARY_DIR}/lib
)

set(kmediafactory_plugin_kross_SRCS
  krossplugin.cpp
  krossplugininterface.cpp
  krossmediaobject.cpp
  krosstemplateobject.cpp
  krossoutputobject.cpp
  krossjob.cpp
)

kde4_add_plugin(kmediafactory_plugin_kross ${kmediafactory_plugin_kross_SRCS})
target_link_libraries(kmediafactory_plugin_kross
    ${KDE4_KIO_LIBS}
    ${KDE4_KROSSCORE_LIBS}
    ${KDE4_THREADWEAVER_LIBRARY}
    kmediafactoryinterfaces
    kmf
)

install(TARGETS kmediafactory_plugin_kross DESTINATION ${PLUGIN_INSTALL_DIR})

=== plugins/output/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/kstore
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_BINARY_DIR}/lib
)

set(kmediafactory_output_SRCS
  outputplugin.cpp
  dvddirectoryobject.cpp
  dvdauthorobject.cpp
  k3bobject.cpp
)

if(LIBDVDREAD_FOUND)
  set(kmediafactory_output_SRCS ${kmediafactory_output_SRCS} dvdinfo.cpp)
endif(LIBDVDREAD_FOUND)

kde4_add_ui_files(kmediafactory_output_SRCS
  dvdinfo.ui
)

kde4_add_plugin(kmediafactory_output ${kmediafactory_output_SRCS})
target_link_libraries(kmediafactory_output ${KDE4_KIO_LIBS} ${KDE4_THREADWEAVER_LIBRARY} kmediafactoryinterfaces kmf kmediafactorykstore)

install(TARGETS kmediafactory_output DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kmediafactory_outputui.rc DESTINATION ${DATA_INSTALL_DIR}/kmediafactory)
install(FILES kmediafactory_output.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/slideshow/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_BINARY_DIR}/lib
)

set(kmediafactory_slideshow_SRCS
  slideshowplugin.cpp
  slideshowobject.cpp
  slideshowproperties.cpp
)

kde4_add_ui_files(kmediafactory_slideshow_SRCS
  slideshowproperties.ui
  slideshowconfig.ui
)

kde4_add_kcfg_files(kmediafactory_slideshow_SRCS
  slideshowpluginsettings.kcfgc
)

kde4_add_plugin(kmediafactory_slideshow ${kmediafactory_slideshow_SRCS})
target_link_libraries(kmediafactory_slideshow ${KDE4_KIO_LIBS} ${KDE4_THREADWEAVER_LIBRARY} kmediafactoryinterfaces kmf)

install(TARGETS kmediafactory_slideshow DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kmediafactory_slideshowui.rc DESTINATION ${DATA_INSTALL_DIR}/kmediafactory)
install(FILES slideshowplugin.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kmediafactory_slideshow.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== plugins/template/CMakeLists.txt ===
add_subdirectory(simple)
add_subdirectory(preview_6)
add_subdirectory(preview_3)
add_subdirectory(preview_1)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_BINARY_DIR}/lib
)

set(kmediafactory_template_SRCS
  templateplugin.cpp
  templateobject.cpp
  kmfwidget.cpp
  kmflabel.cpp
  kmfframe.cpp
  kmfmenupage.cpp
  kmfbutton.cpp
  kmfmenu.cpp
  kmfimage.cpp
  kmftemplatebase.cpp
  kmfwidgetfactory.cpp
  kmflayout.cpp
  kmfgeometry.cpp
  kmfintl.cpp
  kmftemplate.cpp
  kconfigxml.cpp
  newstuffobject.cpp
)

kde4_add_ui_files(kmediafactory_template_SRCS
  templateconfig.ui
)

kde4_add_kcfg_files(kmediafactory_template_SRCS
  templatepluginsettings.kcfgc
)

kde4_add_plugin(kmediafactory_template ${kmediafactory_template_SRCS})
target_link_libraries(kmediafactory_template ${KDE4_KIO_LIBS} ${KDE4_THREADWEAVER_LIBRARY} ${KDE4_KNEWSTUFF2_LIBRARY} ${QT_QTUITOOLS_LIBRARY} kmediafactoryinterfaces kmf kmediafactorykstore)

install(TARGETS kmediafactory_template DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kmediafactory_templateui.rc DESTINATION ${DATA_INSTALL_DIR}/kmediafactory)
install(FILES templateplugin.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kmediafactory_template.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kmediafactory_template.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

=== plugins/video/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/lib
  ${CMAKE_BINARY_DIR}/lib
)
set(kmediafactory_video_SRCS
  videoplugin.cpp
  videoobject.cpp
  videooptions.cpp
  chapters.cpp
  subtitleoptions.cpp
)

kde4_add_ui_files(kmediafactory_video_SRCS
  videooptions.ui
  chapters.ui
  autochapters.ui
  languageselection.ui
  videoconfig.ui
  subtitleoptions.ui
  addchapter.ui
)

kde4_add_kcfg_files(kmediafactory_video_SRCS
  videopluginsettings.kcfgc
)

kde4_add_plugin(kmediafactory_video ${kmediafactory_video_SRCS})
target_link_libraries(kmediafactory_video ${KDE4_KIO_LIBS} ${KDE4_THREADWEAVER_LIBRARY} ${KDE4_PHONON_LIBS} kmediafactoryinterfaces kmf)

install(TARGETS kmediafactory_video DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kmediafactory_videoui.rc DESTINATION ${DATA_INSTALL_DIR}/kmediafactory)
install(FILES videoplugin.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kmediafactory_video.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== po/de/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(de ${PO_FILES})

=== po/ru/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(ru ${PO_FILES})

## kmediafactory 0.7.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 set(KMF_MAJOR_VERSION "0")
 set(KMF_MINOR_VERSION "7")
-set(KMF_BUILD_VERSION "2")
+set(KMF_BUILD_VERSION "5")
 set(VERSION "${KMF_MAJOR_VERSION}.${KMF_MINOR_VERSION}.${KMF_BUILD_VERSION}")
 set(GENERIC_KMF_LIB_VERSION ${VERSION})
 set(GENERIC_KMF_LIB_SOVERSION ${KMF_MAJOR_VERSION})

=== kmediafactory/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(kmediafactoryinterfaces_LIB_SRCS
  plugin.cpp
  plugininterface.cpp
  object.cpp
  job.cpp
)

set(kmediafactoryinclude_HEADERS
  kmediafactory.h
  plugin.h
  plugininterface.h
  object.h
  job.h
)

kde4_add_library(kmediafactoryinterfaces SHARED ${kmediafactoryinterfaces_LIB_SRCS})
target_link_libraries(kmediafactoryinterfaces ${KDE4_KDECORE_LIBS} ${KDE4_KPARTS_LIBS} ${KDE4_THREADWEAVER_LIBRARIES})
set_target_properties(kmediafactoryinterfaces PROPERTIES VERSION ${GENERIC_KMF_LIB_VERSION} SOVERSION ${GENERIC_KMF_LIB_SOVERSION})
install(TARGETS kmediafactoryinterfaces DESTINATION ${LIB_INSTALL_DIR})
#kde4_install_libtool_file(${LIB_INSTALL_DIR} kmediafactoryinterfaces)
install(FILES kmediafactoryplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})
install(FILES ${kmediafactoryinclude_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/kmediafactory)

=== kstore/CMakeLists.txt ===
include_directories(${KOSTORE_INCLUDES})

if(QCA2_FOUND)
    include_directories(${QCA2_INCLUDE_DIR})
    add_definitions(-DQCA2)
endif(QCA2_FOUND)

########### next target ###############

set(kstore_LIB_SRCS
    KoStore.cpp
    KoTarStore.cpp
    KoDirectoryStore.cpp
    KoZipStore.cpp
    KoStoreBase.cpp
    KoXmlReader.cpp
    KoXmlWriter.cpp
    KoEncryptedStore.cpp
    KoEncryptedStore.cpp
    KoEncryptionChecker.cpp
)

kde4_add_library(kmediafactorykstore SHARED ${kstore_LIB_SRCS})

target_link_libraries(kmediafactorykstore ${KDE4_KIO_LIBS})

if(QCA2_FOUND)
target_link_libraries(kmediafactorykstore ${QCA2_LIBRARIES})
endif(QCA2_FOUND)

set_target_properties(kmediafactorykstore PROPERTIES VERSION ${GENERIC_KMF_LIB_VERSION} SOVERSION ${GENERIC_KMF_LIB_SOVERSION})
install(TARGETS kmediafactorykstore DESTINATION ${LIB_INSTALL_DIR})

=== lib/CMakeLists.txt ===
add_subdirectory(pics)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
if(LIBDVDREAD_FOUND)
   include_directories(${LIBDVDREAD_INCLUDE_DIR})
endif(LIBDVDREAD_FOUND)

set(kmf_LIB_SRCS
  kmflanguagewidgets.cpp
  rect.cpp
  dvdauthorparser.cpp
  kmfimageview.cpp
  kmftime.cpp
  kmffontchooser.cpp
  kmftools.cpp
  kmfmultiurldialog.cpp
  qdvdinfo.cpp
  kmfmediafile.cpp
  run.cpp
  kmftoolbar.cpp
  Q4puGenericSignalSpy.cpp
)

set(kmf_HEADERS
  kmflanguagewidgets.h
  rect.h
  dvdauthorparser.h
  kmfimageview.h
  kmftime.h
  kmffontchooser.h
  kmftools.h
  kmfmultiurldialog.h
  qdvdinfo.h
  kmfmediafile.h
  run.h
  kmftoolbar.h
  kmflistmodel.h
)

kde4_add_ui_files(kmf_LIB_SRCS
  kmfmultiurldialog.ui
)

kde4_add_library(kmf SHARED ${kmf_LIB_SRCS})
target_link_libraries(kmf ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KUTILS_LIBS} ${XINE_LIBRARY} ${FONTCONFIG_LIBRARIES})
if(LIBDVDREAD_FOUND)
   target_link_libraries(kmf ${LIBDVDREAD_LIBRARY})
endif(LIBDVDREAD_FOUND)
set_target_properties(kmf PROPERTIES VERSION ${GENERIC_KMF_LIB_VERSION} SOVERSION ${GENERIC_KMF_LIB_SOVERSION})
install(TARGETS kmf DESTINATION ${LIB_INSTALL_DIR})

set(kmfwidgets_PART_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/kmfwidgets.cpp
)
kde4_add_widget_files(${kmfwidgets_PART_SRCS} kmf.widgets)
qt4_add_resources(kmfwidgets_PART_SRCS kmfwidgets.qrc)
kde4_add_plugin(kmfwidgets ${kmfwidgets_PART_SRCS})
target_link_libraries(kmfwidgets ${KDE4_KIO_LIBS} kmf)
install(TARGETS kmfwidgets DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer)

=== media/CMakeLists.txt ===
set(kmediafactory_MEDIA
	silence.mp2
)

install(FILES ${kmediafactory_MEDIA} DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/media)

=== scripts/CMakeLists.txt ===
set(kmediafactory_SCRIPTS
  kmf_comment
  kmf_frame
  kmf_info
  kmf_make_mpeg
  kmf_oo2pdf
  tools
)

install(FILES kmf_converter.oxt DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/scripts)
install(PROGRAMS ${kmediafactory_SCRIPTS} DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/scripts)

=== lib/pics/CMakeLists.txt ===
set(kmfwidgets_PICS
	kmffontchooser.png
	kmfimageview.png
	kmflanguagecombobox.png
	kmflanguagelistbox.png
)

install(FILES ${kmfwidgets_PICS} DESTINATION ${DATA_INSTALL_DIR}/kmfwidgets/pics)

=== plugins/template/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,4 @@
+add_subdirectory(artwork)
 add_subdirectory(simple)
 add_subdirectory(preview_6)
 add_subdirectory(preview_3)

=== po/pl/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(pl ${PO_FILES})

=== plugins/template/artwork/CMakeLists.txt ===
install(FILES default-bg.svgz DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/images)

=== plugins/template/preview_1/CMakeLists.txt ===
set(template
  preview_1.kmft
)

set(template_files
  mimetype
  template.xml
  settings.kcfg
  settings.ui
  icon.png
  preview.jpg
  images/button.svgz
  images/prev.svgz
  images/back.svgz
  images/next.svgz
)

file(GLOB dirs "${CMAKE_CURRENT_SOURCE_DIR}/locale/??")
foreach(dir ${dirs})
  list(APPEND po_files ${dir}/LC_MESSAGES/template.po ${dir}/LC_MESSAGES/ui.po)
endforeach(dir)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${template}
  COMMAND ${CMAKE_COMMAND}
      -Dtemplate="${template}"
      -Dtemplate_files="${template_files}"
      -Dsrc="${CMAKE_CURRENT_SOURCE_DIR}"
      -Ddest="${CMAKE_CURRENT_BINARY_DIR}"
      -P "${CMAKE_CURRENT_SOURCE_DIR}/../template.cmake"
  DEPENDS ${template_files} ${po_files}
)

add_custom_target(preview_1_template ALL
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${template}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${template} DESTINATION ${DATA_INSTALL_DIR}/kmediafactory_template)

=== debian/changelog ===
kmediafactory (0.7.5-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release:
    - Add build-depend on libfontconfig1-dev for new fontconfig dependency
  * Switch to source format 3.0:
    - Bump debhelper build-depend version to 7.3.16 or greater
    - Bump debian/compat to 7
  * Move the Homepage field from the long description to its own field
  * Bump Standards-Version to 3.8.4
  * Switch packaging to use debhelper short rules with the kde addon:
    - Add build-depend on pkg-kde-tools (>= 0.5.0)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 18 Feb 2010 18:18:32 -0500

kmediafactory (0.7.2-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Apr 2009 17:17:38 -0400

kmediafactory (0.7.1-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #194438)
  * Bump Standards-Version to 3.8.1
  * Bump libxine-dev to 1.1.16
  * Drop kdelibs4-dev, libqt3-mt-dev, libmagick++-dev
  * Add kdelibs5-dev
  * Remove debian/patches is obsolete
  * Remove simple-patchsys and bump kde.mk to kde4.mk in rules
  * Add ${misc:Depends} to binary package to make lintian happy
  * Remove docbooks for kmediafactoryplayer and kmf_dbg_edit.sh, the
    executables are no longer distributed

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Wed, 29 Apr 2009 00:07:42 +0200

kmediafactory (0.5.2-0ubuntu6) jaunty; urgency=low

  * debian/patches/fix_ffmpeg_i386.diff: fix a FTBFS in i386, by disabling
    -fPIC flag for libavcodec/i386 (LP: #350132)

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Sat, 28 Mar 2009 07:06:43 +0000

kmediafactory (0.5.2-0ubuntu5) jaunty; urgency=low

  * debian/control: 
    - changed build dependency from libdvdread3-dev to libdvdread-dev for 
      libdvdread 4.x transition (LP: #330684)
    - Also changed dependency on libmagick++9-dev to libmagick++-dev for 
      libmagickcore transition (LP: #348160)
    - Added dvd-slideshow support by adding dvd-slideshow in build dependency
    - debian/patches/libmagickcore_transition.diff: fix compilation errors 
      because of new libmagickcore class names and includes

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Wed, 25 Mar 2009 21:24:41 +0000

kmediafactory (0.5.2-0ubuntu4) hardy; urgency=low

  * Rebuild for libmagick9 -> libmagick10 transition.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 28 Feb 2008 11:14:38 +0100

kmediafactory (0.5.2-0ubuntu3) hardy; urgency=low

  * Fixed deps for mjpegtools. (LP: #163900)

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Mon, 19 Nov 2007 21:26:45 +0100

kmediafactory (0.5.2-0ubuntu2) hardy; urgency=low

  * Adjust dependencies for new xine packages. (LP: #159338)

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Sat, 3 Nov 2007 11:54:45 +0100

kmediafactory (0.5.2-0ubuntu1) hardy; urgency=low

  * New upstream release.
  * Changed Standards-Version to 3.7.2.2.
  * Added original maintainer and changed email to @kubuntu.org.
  * Changed maintainer to Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
  * Added deps of mpegtools, dvdauthor, ffmpeg. (LP: #40628)
  * Added suggestion of mplayer, openoffice.org. (As stated in author's website)

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Mon, 8 Oct 2007 23:40:07 +0200

kmediafactory (0.5.1-0ubuntu2) feisty; urgency=low

  * Rebuild for ldbl128 change (powerpc, sparc).

 -- Matthias Klose <doko@ubuntu.com>  Thu,  1 Mar 2007 22:41:40 +0000

kmediafactory (0.5.1-0ubuntu1) dapper; urgency=low

  * Initial release.
  * Made kubuntu_01_docfix.diff: Fixes the doc/en dirs Makefile.in so that
    it does not look for a index.docbook.orig.

 -- Jonathan Patrick Davies <jpatrick@ubuntu.com>  Wed, 12 Apr 2006 18:29:07 +0200

=== debian/control ===
Source: kmediafactory
Section: kde
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Patrick Davies <jpatrick@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), kdelibs5-dev (>= 4:4.2.2),
 libtheora-dev, libxine-dev (>= 1.1.16), libdvdread-dev, libdv4-dev, dvdauthor,
 mjpegtools, zip, docbook2x, dvd-slideshow, libfontconfig1-dev
Standards-Version: 3.8.4
Homepage: http://aryhma.oy.cx/damu/software/kmediafactory/

Package: kmediafactory
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mjpegtools, dvdauthor, ffmpeg
Suggests: kaffeine, k3b, xine-ui, mplayer, openoffice.org
Description: template based DVD authoring tool for KDE.
 kMediaFactory is an easy to use template based DVD authoring tool. You can
 quickly create DVD menus for home videos and TV recordings in three simple
 steps.

=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_MANPAGES_kmediafactory = kmediafactory.1
DEB_CONFIGURE_EXTRA_FLAGS := --disable-rpath

override_dh_auto_build:
	# Build man pages from docbooks
	docbook2x-man debian/kmediafactory.1.docbook

override_dh_clean:
	# Remove man pages
	rm -f kmediafactory.1

%:
	dh --with kde $@

## kmediafactory 0.8.0

=== plugins/CMakeLists.txt ===
add_subdirectory(template)
add_subdirectory(output)
add_subdirectory(slideshow)
add_subdirectory(video)
is_kde_version(v 4 0 68) # >= 4.1.0
if (v)
add_subdirectory(kross)
else (v)
message(STATUS "Kross plugin is not build. It needs KDE version 4.1.0 or greater.")
endif (v)

=== scripts/CMakeLists.txt ===
set(kmediafactory_SCRIPTS
  kmf_frame
  kmf_info
  kmf_make_mpeg
  kmf_oo2pdf
  tools
)

if(NOT KEXIV2_FOUND)
set(kmediafactory_SCRIPTS ${kmediafactory_SCRIPTS} kmf_comment)
endif(NOT KEXIV2_FOUND)

install(FILES kmf_converter.oxt DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/scripts)
install(PROGRAMS ${kmediafactory_SCRIPTS} DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/scripts)

=== doc/en/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kmediafactory)

=== lib/pics/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 set(kmfwidgets_PICS
-	kmffontchooser.png
 	kmfimageview.png
 	kmflanguagecombobox.png
 	kmflanguagelistbox.png

=== plugins/slideshow/CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,25 @@
 include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}
+  ${CMAKE_CURRENT_SOURCE_DIR}/../video
   ${CMAKE_SOURCE_DIR}/lib
   ${CMAKE_BINARY_DIR}/lib
 )
+
+if(LIBDVDREAD_FOUND)
+   include_directories(${KEXIV2_INCLUDE_DIR})
+endif(LIBDVDREAD_FOUND)
 
 set(kmediafactory_slideshow_SRCS
   slideshowplugin.cpp
   slideshowobject.cpp
   slideshowproperties.cpp
+  ../video/subtitleoptions.cpp
 )
 
 kde4_add_ui_files(kmediafactory_slideshow_SRCS
   slideshowproperties.ui
   slideshowconfig.ui
+  ../video/subtitleoptions.ui
 )
 
 kde4_add_kcfg_files(kmediafactory_slideshow_SRCS
@@ -21,6 +28,9 @@
 
 kde4_add_plugin(kmediafactory_slideshow ${kmediafactory_slideshow_SRCS})
 target_link_libraries(kmediafactory_slideshow ${KDE4_KIO_LIBS} ${KDE4_THREADWEAVER_LIBRARY} kmediafactoryinterfaces kmf)
+if(KEXIV2_FOUND)
+   target_link_libraries(kmediafactory_slideshow ${KEXIV2_LIBRARIES})
+endif(KEXIV2_FOUND)
 
 install(TARGETS kmediafactory_slideshow DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES kmediafactory_slideshowui.rc DESTINATION ${DATA_INSTALL_DIR}/kmediafactory)

=== plugins/template/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-add_subdirectory(artwork)
+add_subdirectory(media)
 add_subdirectory(simple)
 add_subdirectory(preview_6)
 add_subdirectory(preview_3)
@@ -40,10 +40,18 @@
 )
 
 kde4_add_plugin(kmediafactory_template ${kmediafactory_template_SRCS})
+if (KDE_4_4)
+target_link_libraries(kmediafactory_template ${KDE4_KIO_LIBS} ${KDE4_THREADWEAVER_LIBRARY} ${KDE4_KNEWSTUFF3_LIBRARY} ${QT_QTUITOOLS_LIBRARY} kmediafactoryinterfaces kmf kmediafactorykstore)
+else (KDE_4_4)
 target_link_libraries(kmediafactory_template ${KDE4_KIO_LIBS} ${KDE4_THREADWEAVER_LIBRARY} ${KDE4_KNEWSTUFF2_LIBRARY} ${QT_QTUITOOLS_LIBRARY} kmediafactoryinterfaces kmf kmediafactorykstore)
+endif (KDE_4_4)
 
 install(TARGETS kmediafactory_template DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES kmediafactory_templateui.rc DESTINATION ${DATA_INSTALL_DIR}/kmediafactory)
 install(FILES templateplugin.kcfg DESTINATION ${KCFG_INSTALL_DIR})
 install(FILES kmediafactory_template.desktop DESTINATION ${SERVICES_INSTALL_DIR})
+if (KDE_4_4)
+install(FILES kmediafactory_template-kns3.knsrc DESTINATION ${CONFIG_INSTALL_DIR} RENAME kmediafactory_template.knsrc)
+else (KDE_4_4)
 install(FILES kmediafactory_template.knsrc DESTINATION ${CONFIG_INSTALL_DIR})
+endif (KDE_4_4)

=== plugins/template/media/CMakeLists.txt ===
install(FILES silence.mp2 DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/media)
install(FILES default-bg.svgz DESTINATION ${DATA_INSTALL_DIR}/kmediafactory/images)

=== plugins/template/preview_3/CMakeLists.txt ===
set(template
  preview_3.kmft
)

set(template_files
  mimetype
  template.xml
  settings.kcfg
  settings.ui
  icon.png
  preview.jpg
  images/button.svgz
  images/prev.svgz
  images/back.svgz
  images/next.svgz
)

file(GLOB dirs "${CMAKE_CURRENT_SOURCE_DIR}/locale/??")
foreach(dir ${dirs})
  list(APPEND po_files ${dir}/LC_MESSAGES/template.po ${dir}/LC_MESSAGES/ui.po)
endforeach(dir)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${template}
  COMMAND ${CMAKE_COMMAND}
      -Dtemplate="${template}"
      -Dtemplate_files="${template_files}"
      -Dsrc="${CMAKE_CURRENT_SOURCE_DIR}"
      -Ddest="${CMAKE_CURRENT_BINARY_DIR}"
      -P "${CMAKE_CURRENT_SOURCE_DIR}/../template.cmake"
  DEPENDS ${template_files} ${po_files}
)

add_custom_target(preview_3_template ALL
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${template}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${template} DESTINATION ${DATA_INSTALL_DIR}/kmediafactory_template)

=== plugins/template/preview_6/CMakeLists.txt ===
set(template
  preview_6.kmft
)

set(template_files
  mimetype
  template.xml
  settings.kcfg
  settings.ui
  icon.png
  preview.jpg
  images/button.svgz
  images/prev.svgz
  images/back.svgz
  images/next.svgz
)

file(GLOB dirs "${CMAKE_CURRENT_SOURCE_DIR}/locale/??")
foreach(dir ${dirs})
  list(APPEND po_files ${dir}/LC_MESSAGES/template.po ${dir}/LC_MESSAGES/ui.po)
endforeach(dir)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${template}
  COMMAND ${CMAKE_COMMAND}
      -Dtemplate="${template}"
      -Dtemplate_files="${template_files}"
      -Dsrc="${CMAKE_CURRENT_SOURCE_DIR}"
      -Ddest="${CMAKE_CURRENT_BINARY_DIR}"
      -P "${CMAKE_CURRENT_SOURCE_DIR}/../template.cmake"
  DEPENDS ${template_files} ${po_files}
)

add_custom_target(preview_6_template ALL
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${template}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${template} DESTINATION ${DATA_INSTALL_DIR}/kmediafactory_template)

=== plugins/template/simple/CMakeLists.txt ===
set(template
  simple.kmft
)

set(template_files
  mimetype
  template.xml
  settings.kcfg
  settings.ui
  icon.png
  preview.jpg
  images/button.svgz
  images/prev.svgz
  images/back.svgz
  images/next.svgz
)

file(GLOB dirs "${CMAKE_CURRENT_SOURCE_DIR}/locale/??")
foreach(dir ${dirs})
  list(APPEND po_files ${dir}/LC_MESSAGES/template.po ${dir}/LC_MESSAGES/ui.po)
endforeach(dir)

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${template}
  COMMAND ${CMAKE_COMMAND}
      -Dtemplate="${template}"
      -Dtemplate_files="${template_files}"
      -Dsrc="${CMAKE_CURRENT_SOURCE_DIR}"
      -Ddest="${CMAKE_CURRENT_BINARY_DIR}"
      -P "${CMAKE_CURRENT_SOURCE_DIR}/../template.cmake"
  DEPENDS ${template_files} ${po_files}
)

add_custom_target(simple_template ALL
  DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/${template}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${template} DESTINATION ${DATA_INSTALL_DIR}/kmediafactory_template)

=== debian/changelog ===
kmediafactory (0.8.0-0ubuntu2) maverick; urgency=low

  * Build-dep on latest kde4libs for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 11:21:51 +0100

kmediafactory (0.8.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Add fedora-docbook-fix.diff and kmediafactory-0.8.0-dso.patch from
      from fedora (thanks rdieter) to build with current KDE
  * Add melt to suggests
  * Add libkexiv2-dev to build-depends
  * Update debian/copyright
  * Update homepage field in debian/control
  * Add debian/watch

 -- Scott Kitterman <scott@kitterman.com>  Mon, 14 Jun 2010 09:17:22 -0400

kmediafactory (0.7.5-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Fix dh_auto_build and dh_clean not being called.
  * Install manpage, missing in last upload.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 18 May 2010 21:53:25 +0200

=== debian/control ===
Source: kmediafactory
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Patrick Davies <jpatrick@kubuntu.org>
Build-Depends: debhelper (>= 7.3.16),
               pkg-kde-tools (>= 0.5.0),
               kdelibs5-dev (>= 4:4.4.92-0ubuntu3),
               cmake,
               libtheora-dev,
               libxine-dev (>= 1.1.16),
               libdvdread-dev,
               libdv4-dev,
               dvdauthor,
               mjpegtools,
               zip,
               docbook2x,
               dvd-slideshow,
               libfontconfig1-dev,
               libkexiv2-dev
Standards-Version: 3.8.4
Homepage: http://code.google.com/p/kmediafactory/

Package: kmediafactory
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mjpegtools, dvdauthor, ffmpeg
Suggests: kaffeine, k3b, xine-ui, mplayer, openoffice.org, melt
Description: template based DVD authoring tool for KDE.
 kMediaFactory is an easy to use template based DVD authoring tool. You can
 quickly create DVD menus for home videos and TV recordings in three simple
 steps.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_build:
	dh_auto_build

	# Build man pages from docbooks
	docbook2x-man debian/kmediafactory.1.docbook

override_dh_auto_clean:
	dh_auto_clean

	# Remove man pages
	rm -f kmediafactory.1

%:
	dh --with kde $@

## kmediafactory 0.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 macro(IS_KDE_VERSION version)
   #message("${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}")
+  #message("${version} ${ARGV1}.${ARGV2}.${ARGV3}")
   math(EXPR V1 "(((${KDE_VERSION_MAJOR}) << 16) | ((${KDE_VERSION_MINOR}) << 8) | (${KDE_VERSION_RELEASE}))")
   math(EXPR V2 "(((${ARGV1}) << 16) | ((${ARGV2}) << 8) | (${ARGV3}))")
   if (${V1} GREATER ${V2} OR ${V2} EQUAL ${V1})
@@ -12,8 +13,8 @@
 endmacro(IS_KDE_VERSION)
 
 set(KMF_MAJOR_VERSION "0")
-set(KMF_MINOR_VERSION "7")
-set(KMF_BUILD_VERSION "5")
+set(KMF_MINOR_VERSION "8")
+set(KMF_BUILD_VERSION "1")
 set(VERSION "${KMF_MAJOR_VERSION}.${KMF_MINOR_VERSION}.${KMF_BUILD_VERSION}")
 set(GENERIC_KMF_LIB_VERSION ${VERSION})
 set(GENERIC_KMF_LIB_SOVERSION ${KMF_MAJOR_VERSION})
@@ -23,6 +24,8 @@
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 include(MacroLibrary)
+
+IS_KDE_VERSION(KDE_4_4 4 3 90)
 
 check_function_exists(va_copy VA_COPY)
 
@@ -38,21 +41,20 @@
 find_program(MSGFMT_EXECUTABLE msgfmt)
 find_program(MSGMERGE_EXECUTABLE msgmerge)
 find_program(XGETTEXT_EXECUTABLE xgettext)
+find_program(EXTRACTRC_EXECUTABLE extractrc)
+macro_log_feature(EXTRACTRC_EXECUTABLE "extractrc" "For translations" "http://www.kde.org/" FALSE "" "")
 
 find_program(ZIP_EXECUTABLE zip)
 macro_log_feature(ZIP_EXECUTABLE "zip" "For packing templates" "http://www.info-zip.org/" TRUE "" "")
 
 find_program(DVDAUTHOR_EXECUTABLE dvdauthor)
-macro_log_feature(DVDAUTHOR_EXECUTABLE "dvdauthor" "For making DVDs" "http://dvdauthor.sourceforge.net/" TRUE "0.6.11" "")
-
-find_program(FFMPEG_EXECUTABLE ffmpeg)
-macro_log_feature(FFMPEG_EXECUTABLE "ffmpeg" "For extracting frames from videos" "http://ffmpeg.mplayerhq.hu/" TRUE "" "")
+macro_log_feature(DVDAUTHOR_EXECUTABLE "dvdauthor" "For making DVDs" "http://dvdauthor.sourceforge.net/" FALSE "0.6.11" "NOTE: Is required runtime")
 
 find_program(MPEG2ENC_EXECUTABLE mpeg2enc)
-macro_log_feature(MPEG2ENC_EXECUTABLE "mpeg2enc" "For making mpeg files" "http://mjpeg.sourceforge.net/" TRUE "" "")
+macro_log_feature(MPEG2ENC_EXECUTABLE "mpeg2enc" "For making mpeg files" "http://mjpeg.sourceforge.net/" FALSE "" "NOTE: Is required runtime")
 
-find_program(MPLAYER_EXECUTABLE mpeg2enc)
-macro_log_feature(MPLAYER_EXECUTABLE "mplayer" "For getting info from video file" "http://www.mplayerhq.hu/" TRUE "" "")
+find_package(Ffmpeg REQUIRED)
+macro_log_feature(FFMPEG_SWSCALE_FOUND "ffmpeg libraries" "Parsing of mpeg files" "www.ffmpeg.org/" FALSE "" "")
 
 # Optional packages
 find_package(LibDvdread)
@@ -61,6 +63,9 @@
 
 find_program(DVDSLIDESHOW_EXECUTABLE dvd-slideshow)
 macro_log_feature(DVDSLIDESHOW_EXECUTABLE "dvd-slideshow" "For making slideshows" "http://dvd-slideshow.sourceforge.net/wiki/Main_Page" FALSE "" "")
+
+find_program(MELT_EXECUTABLE melt)
+macro_log_feature(MELT_EXECUTABLE "melt" "For making slideshows" "http://www.mltframework.org/" FALSE "" "")
 
 find_program(K3B_EXECUTABLE k3b)
 macro_log_feature(K3B_EXECUTABLE "k3b" "For burning DVDs" "http://www.k3b.org/" FALSE "" "")
@@ -77,8 +82,9 @@
 find_program(GS_EXECUTABLE gs)
 macro_log_feature(GS_EXECUTABLE "ghostscript" "For converting pdf to slideshow" "http://pages.cs.wisc.edu/~ghost/" FALSE "" "")
 
-# Are we using this?
-find_program(EXTRACTRC_EXECUTABLE extractrc)
+find_package(Kexiv2)
+macro_bool_to_01(KEXIV2_FOUND HAVE_KEXIV2)
+macro_log_feature(KEXIV2_FOUND "libkexiv2" "For slideshow picture comments" "http://www.kde.org/" FALSE "" "")
 
 add_definitions(
     ${QT_DEFINITIONS}
@@ -121,7 +127,6 @@
 add_subdirectory(mimetypes)
 add_subdirectory(icons)
 add_subdirectory(scripts)
-add_subdirectory(media)
 add_subdirectory(po)
 add_subdirectory(doc)

=== kmediafactory/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-include_directories(${CMAKE_CURRENT_SOURCE_DIR})
+include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/lib)
 
 set(kmediafactoryinterfaces_LIB_SRCS
   plugin.cpp

=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 add_subdirectory(pics)
 
-include_directories(${CMAKE_CURRENT_SOURCE_DIR})
+include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${FFMPEG_INCLUDE_DIR})
 if(LIBDVDREAD_FOUND)
    include_directories(${LIBDVDREAD_INCLUDE_DIR})
 endif(LIBDVDREAD_FOUND)
@@ -11,14 +11,13 @@
   dvdauthorparser.cpp
   kmfimageview.cpp
   kmftime.cpp
-  kmffontchooser.cpp
   kmftools.cpp
-  kmfmultiurldialog.cpp
   qdvdinfo.cpp
   kmfmediafile.cpp
   run.cpp
   kmftoolbar.cpp
   Q4puGenericSignalSpy.cpp
+  videofile.cpp
 )
 
 set(kmf_HEADERS
@@ -27,9 +26,7 @@
   dvdauthorparser.h
   kmfimageview.h
   kmftime.h
-  kmffontchooser.h
   kmftools.h
-  kmfmultiurldialog.h
   qdvdinfo.h
   kmfmediafile.h
   run.h
@@ -37,15 +34,12 @@
   kmflistmodel.h
 )
 
-kde4_add_ui_files(kmf_LIB_SRCS
-  kmfmultiurldialog.ui
-)
-
 kde4_add_library(kmf SHARED ${kmf_LIB_SRCS})
-target_link_libraries(kmf ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KUTILS_LIBS} ${XINE_LIBRARY} ${FONTCONFIG_LIBRARIES})
+target_link_libraries(kmf ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KUTILS_LIBS} ${XINE_LIBRARY} ${FONTCONFIG_LIBRARIES} ${FFMPEG_LIBRARIES})
 if(LIBDVDREAD_FOUND)
    target_link_libraries(kmf ${LIBDVDREAD_LIBRARY})
 endif(LIBDVDREAD_FOUND)
+
 set_target_properties(kmf PROPERTIES VERSION ${GENERIC_KMF_LIB_VERSION} SOVERSION ${GENERIC_KMF_LIB_SOVERSION})
 install(TARGETS kmf DESTINATION ${LIB_INSTALL_DIR})

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -4,3 +4,4 @@
 add_subdirectory(pl)
 add_subdirectory(pt_BR)
 add_subdirectory(ru)
+add_subdirectory(uk)

=== scripts/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,7 @@
 set(kmediafactory_SCRIPTS
-  kmf_frame
-  kmf_info
   kmf_make_mpeg
   kmf_oo2pdf
+  kmf_dvdauthor_version
   tools
 )

=== plugins/output/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
   dvddirectoryobject.cpp
   dvdauthorobject.cpp
   k3bobject.cpp
+  isoobject.cpp
 )
 
 if(LIBDVDREAD_FOUND)
@@ -19,11 +20,16 @@
 
 kde4_add_ui_files(kmediafactory_output_SRCS
   dvdinfo.ui
+  outputconfig.ui
 )
 
+kde4_add_kcfg_files(kmediafactory_output_SRCS
+  outputpluginsettings.kcfgc
+)
 kde4_add_plugin(kmediafactory_output ${kmediafactory_output_SRCS})
 target_link_libraries(kmediafactory_output ${KDE4_KIO_LIBS} ${KDE4_THREADWEAVER_LIBRARY} kmediafactoryinterfaces kmf kmediafactorykstore)
 
 install(TARGETS kmediafactory_output DESTINATION ${PLUGIN_INSTALL_DIR})
 install(FILES kmediafactory_outputui.rc DESTINATION ${DATA_INSTALL_DIR}/kmediafactory)
+install(FILES outputplugin.kcfg DESTINATION ${KCFG_INSTALL_DIR})
 install(FILES kmediafactory_output.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== po/cs/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(cs ${PO_FILES})

=== po/fi/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(fi ${PO_FILES})

=== po/pt_BR/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(pt_BR ${PO_FILES})

=== po/uk/CMakeLists.txt ===
file(GLOB PO_FILES *.po)
add_translations(uk ${PO_FILES})

=== debian/changelog ===
kmediafactory (0.8.1-0ubuntu2) quantal; urgency=low

  * Rebuild for libkexiv2-11 transition
  * Bump debhelper version to 9:
    - Bump debhelper build dependency to 9.
    - Bump debian/compat to 9.
    - Fix order of debhelper options in debian/rules.
  * Bump Standards-Version to 3.9.3.1, no changes required
  * Transition from suggesting openoffice.org to suggesting libreoffice in
    the kmediafactory binary package.
  * Add unique_identifier_fix.diff to fix an FTBFS with GCC 4.7 caused by
    the redefinition of the "sub" identifier inside the foreach loop.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 09 Jun 2012 20:01:40 -0400

kmediafactory (0.8.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Drop debian/patches/fedora-docbook-fix.diff (incorporated upstream)
  * Add missing build-depends on libx11-dev, libavcodec-dev, libswscale-dev,
    libqtwebkit-dev, and libavformat-dev
  * Add debian/patches/check-function-exists.diff to fix build with current
    CMake

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Aug 2011 23:51:57 -0400

kmediafactory (0.8.0-0ubuntu4) natty; urgency=low

  * No change rebuild for exiv2 transition

 -- Scott Kitterman <scott@kitterman.com>  Fri, 17 Dec 2010 17:36:58 -0500

kmediafactory (0.8.0-0ubuntu3) natty; urgency=low

  * Rebuild against kdelibs5-dev 4.5.2a for libkutils4 transition 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 28 Oct 2010 04:03:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Patrick Davies <jpatrick@kubuntu.org>
-Build-Depends: debhelper (>= 7.3.16),
+Build-Depends: debhelper (>= 9),
                pkg-kde-tools (>= 0.5.0),
-               kdelibs5-dev (>= 4:4.4.92-0ubuntu3),
+               kdelibs5-dev,
                cmake,
                libtheora-dev,
                libxine-dev (>= 1.1.16),
@@ -17,8 +17,13 @@
                docbook2x,
                dvd-slideshow,
                libfontconfig1-dev,
-               libkexiv2-dev
-Standards-Version: 3.8.4
+               libkexiv2-dev,
+               libx11-dev,
+               libavcodec-dev,
+               libavformat-dev,
+               libswscale-dev,
+               libqtwebkit-dev
+Standards-Version: 3.9.3.1
 Homepage: http://code.google.com/p/kmediafactory/
 
 Package: kmediafactory

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	rm -f kmediafactory.1
 
 %:
-	dh --with kde $@
+	dh $@ --with kde
